---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: {{ ingressRouteName }}
  labels:
    name: {{ appName }}
    owner: {{ appOwner }}
spec:
  entryPoints:
    - websecure
  tls:
    secretName: {{ tlsSecret }}
  routes:
    - match: Host(`{{ route }}`)
      kind: Rule
      {%- if needSSOMiddleware %}
      middlewares:
        - name: sso-auth
          namespace: auth
      {%- endif %}
      services:
        - name: {{ appName }}
          port: 80
          sticky:
            cookie:
              httpOnly: true
              name: lb
              secure: true
              sameSite: none
          strategy: RoundRobin
